> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bedrock.orinlabs.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Template

> CRUD for :class:`AgentTemplate`, scoped to the caller's organization.



## OpenAPI

````yaml PATCH /api/templates/{id}/
openapi: 3.0.3
info:
  title: Bedrock API
  version: 1.0.0
  description: API for managing agent templates, agents, organizations, and adapter state
servers: []
security: []
paths:
  /api/templates/{id}/:
    patch:
      tags:
        - templates
      description: CRUD for :class:`AgentTemplate`, scoped to the caller's organization.
      operationId: templates_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this agent template.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAgentTemplateRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedAgentTemplateRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedAgentTemplateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentTemplate'
          description: ''
      security:
        - tokenAuth: []
        - APIKeyAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    PatchedAgentTemplateRequest:
      type: object
      properties:
        organization:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
          maxLength: 255
        description:
          type: string
        system_prompt:
          type: string
        default_model:
          type: string
          maxLength: 255
        default_reasoning_effort:
          oneOf:
            - $ref: '#/components/schemas/OpenRouterReasoningEffortEnum'
            - $ref: '#/components/schemas/BlankEnum'
        thinking_max_tokens:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        max_turns:
          type: integer
          maximum: 2147483647
          minimum: 0
        debounce_window_seconds:
          type: integer
          maximum: 2147483647
          minimum: 0
          description: >-
            Seconds to hold the agent wake after an inbound conversational
            message, resetting on each new message. 0 = disabled (wake
            immediately). Individual agents can override via
            Agent.debounce_window_seconds.
        harness_git_ref:
          type: string
          description: Blank = latest main at dispatch time.
          maxLength: 255
        agent_created_webhook_url:
          type: string
          format: uri
          maxLength: 200
        tool_call_secret:
          type: string
          maxLength: 255
    AgentTemplate:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        organization:
          type: string
          format: uuid
        name:
          type: string
          maxLength: 255
        description:
          type: string
        system_prompt:
          type: string
        default_model:
          type: string
          maxLength: 255
        default_reasoning_effort:
          oneOf:
            - $ref: '#/components/schemas/OpenRouterReasoningEffortEnum'
            - $ref: '#/components/schemas/BlankEnum'
        thinking_max_tokens:
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
        max_turns:
          type: integer
          maximum: 2147483647
          minimum: 0
        debounce_window_seconds:
          type: integer
          maximum: 2147483647
          minimum: 0
          description: >-
            Seconds to hold the agent wake after an inbound conversational
            message, resetting on each new message. 0 = disabled (wake
            immediately). Individual agents can override via
            Agent.debounce_window_seconds.
        harness_git_ref:
          type: string
          description: Blank = latest main at dispatch time.
          maxLength: 255
        agent_created_webhook_url:
          type: string
          format: uri
          maxLength: 200
        tool_call_secret:
          type: string
          maxLength: 255
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - id
        - name
        - organization
    OpenRouterReasoningEffortEnum:
      enum:
        - none
        - minimal
        - low
        - medium
        - high
        - xhigh
      type: string
      description: |-
        * `none` - None
        * `minimal` - Minimal
        * `low` - Low
        * `medium` - Medium
        * `high` - High
        * `xhigh` - Extra high
    BlankEnum:
      enum:
        - ''
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````